Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Interface ComboPopup

All Known Implementing Classes:
  BasicComboPopup

public abstract interface ComboPopup

The interface which defines the kind of popup menu that BasicComboBoxUI requires. Classes that implement this interface don't have to extend JPopupMenu. This interface demands very little so alternatives to JPopupMenu can be used.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Method Summary
`java.awt.event.KeyListener` | `getKeyListener()` Returns a key listener that shows and hides the popup.
`JList` | `getList()` Returns the list that is being used to draw the items in the JComboBox.
`java.awt.event.MouseListener` | `getMouseListener()` Returns a mouse listener that shows and hides the popup.
`java.awt.event.MouseMotionListener` | `getMouseMotionListener()` Returns a mouse motion listener that makes the popup act like a menu.
`void` | `hide()` Hides the popup
`boolean` | `isVisible()` Returns whether or not the popup is visible
`void` | `show()` Shows the popup
`void` | `uninstallingUI()` Called to inform the ComboPopup that the UI is uninstalling.

Method Detail

### show

    public void show()

  Shows the popup

### hide

    public void hide()

  Hides the popup

### isVisible

    public boolean isVisible()

  Returns whether or not the popup is visible

### getList

    public JList getList()

  Returns the list that is being used to draw the items in the JComboBox.

### getMouseListener

    public java.awt.event.MouseListener getMouseListener()

  Returns a mouse listener that shows and hides the popup.

### getMouseMotionListener

    public java.awt.event.MouseMotionListener getMouseMotionListener()

  Returns a mouse motion listener that makes the popup act like a menu.

### getKeyListener

    public java.awt.event.KeyListener getKeyListener()

  Returns a key listener that shows and hides the popup.

### uninstallingUI

    public void uninstallingUI()

  Called to inform the ComboPopup that the UI is uninstalling. If the ComboPopup added any listeners in the component, it should remove them here.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.